DependencyArtifact (Gradle API 2.11)
Date: 2016-02-08

org.gradle.api.artifacts

## Interface DependencyArtifact

-     public interface DependencyArtifact

  An `Artifact` represents an artifact included in a `Dependency`.

  An artifact is an (immutable) value object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassifier()` Returns the classifier of this dependency artifact.
    `String` | `getExtension()` Returns the extension of this dependency artifact.
    `String` | `getName()` Returns the name of the dependency artifact.
    `String` | `getType()` Returns the type of the dependency artifact.
    `String` | `getUrl()` Returns an URL under which this dependency artifact can be retrieved.

- - ### Field Detail

    - #### DEFAULT_TYPE

          static final String DEFAULT_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the dependency artifact.

    - #### getType

          String getType()

      Returns the type of the dependency artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
      See Also:
        `getExtension()`

    - #### getExtension

          String getExtension()

      Returns the extension of this dependency artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
      See Also:
        `getType()`

    - #### getClassifier

          String getClassifier()

      Returns the classifier of this dependency artifact.

    - #### getUrl

          String getUrl()

      Returns an URL under which this dependency artifact can be retrieved. If not specified the user repositories are used for retrieving.